{
  "schema_version": "1.4.0",
  "id": "GHSA-xcg5-vp9v-hx6x",
  "modified": "2022-05-01T18:08:05Z",
  "published": "2022-05-01T18:08:05Z",
  "aliases": [
    "CVE-2007-2875"
  ],
  "details": "Integer underflow in the cpuset_tasks_read function in the Linux kernel before 2.6.20.13, and 2.6.21.x before 2.6.21.4, when the cpuset filesystem is mounted, allows local users to obtain kernel memory contents by using a large offset when reading the /dev/cpuset/tasks file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2875"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34779"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9251"
    },
    {
      "type": "WEB",
      "url": "http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.20.13"
    },
    {
      "type": "WEB",
      "url": "http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.21.4"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=541"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/37113"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26133"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26139"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26620"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26647"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26760"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27227"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1363"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:171"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:196"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_53_kernel.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0705.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24389"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018211"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-486-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-489-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-510-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2105"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-06-11T22:30:00Z"
  }
}